import { HttpErrorHandleFunction } from './HttpErrorHandleFunction';
import { HttpHandleFunction } from './HttpHandleFunction';
import { HttpHandleOptions } from './HttpHandleOptions';
import { HttpMiddleware } from './HttpMiddleware';
export declare abstract class Http {
    protected errorHandler: null | HttpErrorHandleFunction;
    constructor();
    onError(errorHandler: HttpErrorHandleFunction): void;
    abstract addGlobalMiddleware(middleware: HttpMiddleware): void;
    abstract listen(port: number, callback: () => void): void;
    abstract on(path: string, method: 'post' | 'get' | 'put' | 'patch' | 'delete', handle: HttpHandleFunction, middlewares?: Array<HttpMiddleware>, options?: HttpHandleOptions): void;
}
//# sourceMappingURL=Http.d.ts.map