"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Router = void 0;
class Router {
    constructor(http, prefix = '') {
        this.http = http;
        this.prefix = prefix;
        this.controllers = {};
    }
    registerController(name, controller) {
        this.controllers[name] = controller;
        return this;
    }
    withPrefix(path) {
        return this.prefix + path;
    }
    getHandler(name) {
        return this.controllers[name].handle;
    }
}
exports.Router = Router;
